Bug 483062 - git-email may require perl-Authen-SASL
git-email may require perl-Authen-SASL
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: git (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Todd Zullinger
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-29 10:13 EST by Paul W. Frields
Modified: 2013-01-10 05:30 EST (History)
5 users (show)

See Also:
Fixed In Version: 1.6.0.6-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-16 15:44:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul W. Frields 2009-01-29 10:13:59 EST
Version:  git-email-1.6.0.6-1.fc10.x86_64

Using git-send-email along with --smtp-encryption=ssl produced this message:

Need MIME::Base64 and Authen::SASL todo auth at /usr/bin/git-send-email line 811, <STDIN> line 1.

Installing the perl-Authen-SASL package fixed the problem.
Comment 1 Todd Zullinger 2009-02-18 23:08:32 EST
Indeed.  I just tested this tonight and found the same thing.  I didn't install anything which provides perl(MIME::Base64) and did not notice any problems (or further complaints from git send-email.  I'll add perl-Authen-SASL as a requirement on the git-email package.  Thanks Paul!
Comment 2 Fedora Update System 2009-03-02 15:10:54 EST
git-1.6.0.6-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/git-1.6.0.6-3.fc10
Comment 3 Fedora Update System 2009-03-03 10:27:00 EST
git-1.6.0.6-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update git'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2258
Comment 4 Fedora Update System 2009-03-16 15:44:47 EDT
git-1.6.0.6-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.